tigase.xmpp.mam

## Class MAMQueryParser<Query extends Query>

- java.lang.Object
- - tigase.xmpp.mam.MAMQueryParser<Query>

- All Implemented Interfaces:
    QueryParser<Query>

      @Bean(name="mamQueryParser",
            active=true)
      public class MAMQueryParser<Query extends Query>
      extends Object
      implements QueryParser<Query>

  Implementation of parser for XEP-0313: Message Archive Management
  Created by andrzej on 19.07.2016.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `MAM_XMLNS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MAMQueryParser()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addField(Element x, String var, String type, String label)`
    `Query` | `parseQuery(Query query, Packet packet)`
    `Element` | `prepareForm(Element elem)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MAM_XMLNS

          protected static final String MAM_XMLNS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MAMQueryParser

          public MAMQueryParser()

  - ### Method Detail

    - #### parseQuery

          public Query parseQuery(Query query,
                                  Packet packet)
                           throws ComponentException

      Specified by:
        `parseQuery` in interface `QueryParser<Query extends Query>`
      Throws:
        `ComponentException`

    - #### prepareForm

          public Element prepareForm(Element elem)

      Specified by:
        `prepareForm` in interface `QueryParser<Query extends Query>`

    - #### addField

          protected void addField(Element x,
                                  String var,
                                  String type,
                                  String label)

Copyright © 2004–2021 "Tigase, Inc.". All rights reserved.